
package de.ivu.elect.presentation.benutzerverwaltung.action;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.boundary.NachrichtChangeEvent;
import de.ivu.elect.business.benutzerverwaltung.entity.Nachricht;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractNachrichtAction extends AbstractActionEntry<Nachricht> {

  private static final long serialVersionUID = 1L;

  @Inject
  private NachrichtChangeEvent nachrichtChangeEvent;

  public AbstractNachrichtAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    nachrichtChangeEvent.sendChangeEvent();
  }
}
